package controller

import (
	"github.com/gin-gonic/gin"
	"icloudapp.cn/tools/entity"
	"icloudapp.cn/tools/model"
)

func Materials(ctx *gin.Context) {
	uid := GetUID(ctx)
	mMaterial := model.NewMMaterial(ctx)
	materials := mMaterial.Materials(uid)

	entity.ResponseNormal(ctx, materials.Code, materials.Msg, materials.Body)
}
